package CHAPTER05;

public class C5_04_Person {
    String name;
  
    void sayHello() {
        System.out.println("안녕하세요, 저는 " + name + "입니다.");
    }

    public static void main(String[] args) {  
        C5_04_Person person1 = new C5_04_Person();        
        person1.name = "문석재";
        person1.sayHello(); 

        // person2에 person1의 참조 주소를 저장 (같은 객체를 가리킴)
        C5_04_Person person2 = person1;       

        // person2를 통해 이름 변경
        person2.name = "윤지현";
        
        // 두 참조 변수가 같은 객체를 가리키므로, person1에서도 변경된 값이 반영됨
        person1.sayHello(); 
    }
}